### Hierarchy

- XmlComponent
  - Drawing

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- delete
- prepForXml
- scale

## Constructors

### constructor

- new Drawing(imageData: IMediaData, drawingOptions?: IDrawingOptions): Drawing

- Overrides XmlComponent.constructor

  - Defined in file/drawing/drawing.ts:19

  #### Parameters

  - ##### imageData: IMediaData

  - ##### Default value drawingOptions: IDrawingOptions = {}

  #### Returns Drawing

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

### scale

- scale(factorX: number, factorY: number): void

- - Defined in file/drawing/drawing.ts:32

  #### Parameters

  - ##### factorX: number

  - ##### factorY: number

  #### Returns void

Generated using TypeDoc